Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# copier_n< I, iterator_from_2d< OL > > Struct Template Reference

`#include <algorithm.hpp>`

List of all members.

## Detailed Description

### template<typename I, typename OL>
struct boost::gil::detail::copier_n< I, iterator_from_2d< OL > >

Destination range is delimited by image iterators.

## Public Types

typedef std::iterator_traits < I >::difference_type | diff_t

## Public Member Functions

GIL_FORCEINLINE void | operator() (I src, diff_t n, iterator_from_2d< OL > dst) const

The documentation for this struct was generated from the following file:

- algorithm.hpp